curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/users/{userUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"userName": "<string>",
"active": true,
"automationWidgets": [
{
"id": "<string>"
}
],
"clients": [
{
"id": "<string>"
}
],
"domains": [
{
"id": "<string>"
}
],
"editorMachineTranslateEnabled": true,
"mayEditApprovedTerms": true,
"mayEditTranslationMemory": true,
"mayRejectJobs": true,
"note": "<string>",
"projectBusinessUnits": [
{
"id": "<string>"
}
],
"receiveNewsletter": true,
"sourceLangs": [
"<string>"
],
"subDomains": [
{
"id": "<string>"
}
],
"targetLangs": [
"<string>"
],
"workflowSteps": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/users/{userUid}"
payload = {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"userName": "<string>",
"active": True,
"automationWidgets": [{ "id": "<string>" }],
"clients": [{ "id": "<string>" }],
"domains": [{ "id": "<string>" }],
"editorMachineTranslateEnabled": True,
"mayEditApprovedTerms": True,
"mayEditTranslationMemory": True,
"mayRejectJobs": True,
"note": "<string>",
"projectBusinessUnits": [{ "id": "<string>" }],
"receiveNewsletter": True,
"sourceLangs": ["<string>"],
"subDomains": [{ "id": "<string>" }],
"targetLangs": ["<string>"],
"workflowSteps": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
firstName: '<string>',
lastName: '<string>',
timezone: '<string>',
userName: '<string>',
active: true,
automationWidgets: [{id: '<string>'}],
clients: [{id: '<string>'}],
domains: [{id: '<string>'}],
editorMachineTranslateEnabled: true,
mayEditApprovedTerms: true,
mayEditTranslationMemory: true,
mayRejectJobs: true,
note: '<string>',
projectBusinessUnits: [{id: '<string>'}],
receiveNewsletter: true,
sourceLangs: ['<string>'],
subDomains: [{id: '<string>'}],
targetLangs: ['<string>'],
workflowSteps: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v2/users/{userUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"automationWidgets": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"clients": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateDeleted": "2023-11-07T05:31:56Z",
"domains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"editorMachineTranslateEnabled": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"mayEditApprovedTerms": true,
"mayEditTranslationMemory": true,
"mayRejectJobs": true,
"maySeeProviderNames": true,
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"note": "<string>",
"organization": {},
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"projectBusinessUnits": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"receiveNewsletter": true,
"role": "ADMIN",
"sourceLangs": [
"<string>"
],
"subDomains": [
{
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
],
"targetLangs": [
"<string>"
],
"timezone": "<string>",
"userName": "<string>",
"workflowSteps": [
{
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
]
}Edit user
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the user to edit
Body
User object to update. Optional empty fields will be set to null
Email address
255First name
255Last name
255User role
ADMIN, PROJECT_MANAGER, LINGUIST, GUEST, SUBMITTER IANA timezone identifier, e.g. Europe/Berlin
255Username (login name)
255When false, the user account is deactivated and cannot log in
Automation widgets assigned to the user; required for Submitters (must contain at least one)
Show child attributes
Show child attributes
Clients the user is restricted to
Show child attributes
Show child attributes
Domains the user is restricted to
Show child attributes
Show child attributes
When true, machine translation is enabled; LINGUIST and GUEST only
When true, the user may edit approved terms in term bases
When true, the user may edit translation memory content
When true, the user may reject jobs
Internal note about the user; max 4096 characters
4096Business units the user is restricted to for project access
Show child attributes
Show child attributes
When true, the user receives newsletter emails
Source language locales the user works with
Sub-domains the user is restricted to
Show child attributes
Show child attributes
Target language locales the user works with
Workflow steps the user is assigned to
Show child attributes
Show child attributes
Response
OK
User with all belonging objects
When false, the user account is deactivated
Automation widgets assigned to the user
Show child attributes
Show child attributes
Clients the user is restricted to
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date the user account was created
Date the user account was deleted; null if the account is active
Domains the user is restricted to
Show child attributes
Show child attributes
When true, machine translation is enabled; LINGUIST and GUEST only
Email address
First name
Internal numeric ID
Last name
When true, the user may edit approved terms in term bases
When true, the user may edit translation memory content
When true, the user may reject jobs
When true, the user is visible to other linguists as a provider
Show child attributes
Show child attributes
Internal note about the user
Show child attributes
Show child attributes
Business units the user is restricted to for project access
Show child attributes
Show child attributes
When true, the user receives newsletter emails
User role
ADMIN, PROJECT_MANAGER, LINGUIST, GUEST, SUBMITTER, PORTAL_MEMBER Source language locales the user works with
Sub-domains the user is restricted to
Show child attributes
Show child attributes
Target language locales the user works with
IANA timezone identifier
Username (login name)
Workflow steps the user is assigned to
Show child attributes
Show child attributes
Was this page helpful?